package org.project.item.consumables;

import org.project.entity.Entity;

// TODO: UPDATE IMPLEMENTATION
  public abstract class Flask extends Consumable {

    /*
    THIS IS AN EXAMPLE OF A CONSUMABLE DESIGN.
    */
    public Flask(){

    }

    // TODO: UPDATE USE METHOD
    @Override
    public void use(Entity target) {
        int healAmount = target.getMaxHP() / 10;
        target.heal(healAmount);
        System.out.println("Flask used! Healed"+ healAmount+ "HP.");
    }

    @Override
    public void use() {

    }
}
